# Google Authentication It is possible to use Google Sign-In for authentication with the Verifiable API. In order to do so we follow the Google Sign-In for server-side apps flow. In order to use this flow you must use the client ID from Verifiable when signing in to Google and send the authorization code as payload to this endpoint. In return you will receive an access token that can be used in the following API calls. The email address of the user must already be registered at Verifiable. Endpoint: POST /auth/token/google Version: 26.2.0.4309 ## Request fields (application/json): - `code` (string) The authorization code returned by the Google Sign-In authentication flow. Example: "4/yU4cQZT...4z7U4UmAI" - `timeToLive` (string) If set, the created token will expire after the duration specified by this parameter. Note that the token will still be expired after 4 weeks of no use, regardless of the time to live. Additionally there might be a limit set for your organization. If the requested time-to-live exceeds this limit the token will be capped to that limit. Example: "00:30:00" - `token` (string) The JWT token returned by Google Sign-In authentication flow. ## Response 200 fields (application/json): - `tokenId` (string) Unique identifier for this token. This can be used to invalidate a token. Example: "0847312d-19fe-49d2-9e21-5825735b511a" - `token` (string) The access token to be used in following API calls. Example: "MtetyFcIW...xgXXX-Z4yy" - `email` (string) The e-mail address of the user. It will either be the same e-mail address used on the password authentication or the e-mail address of the Google account in the case of Google authentication. - `role` (object) - `role.id` (string) - `role.name` (string) Enum: "Admin", "LimitedAdmin", "Credentialing", "LimitedCredentialing", "Reader", "LimitedReader" - `role.permissions` (object,null) - `expiresAt` (string) Expiration time of the access token. - `persistenceHint` (string) Enum: "Persistent", "Ephemeral" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields